Bug 1479685 - Update Kubernetes to upstream v1.7.3
Update Kubernetes to upstream v1.7.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 03:52 EDT by Spyros Trigazis
Modified: 2017-10-10 17:21 EDT (History)
3 users (show)

See Also:
Fixed In Version: kubernetes-1.7.3-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-10 17:21:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Spyros Trigazis 2017-08-09 03:52:13 EDT
***This is my first package and I am seeking a sponsor.***

Spec URL: http://pkgs.fedoraproject.org/rpms/kubernetes/blob/master/f/kubernetes.spec
SRPM URL: http://test-strigazi-sharing.web.cern.ch/test-strigazi-sharing/kubernetes-1.7.3-1.fc27.src.rpm
Description: Update to upstream v1.7.3
Fedora Account System Username: strigazi


I did a koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=21123040
21123040 build (rawhide, kubernetes-1.7.3-1.fc27.src.rpm) completed successfully

The dist-git diff can be found here:
https://gitlab.cern.ch/strigazi/fedora-rpm-kubernetes/commit/345d523120bfeaf830e8328539eac14181a492e3.diff

But I also attached a patch formatted here since is is very small.

From 345d523120bfeaf830e8328539eac14181a492e3 Mon Sep 17 00:00:00 2001
From: Spyros Trigazis <strigazi@gmail.com>
Date: Tue, 8 Aug 2017 17:24:38 +0000
Subject: [PATCH] Update to upstream v1.7.3

---
 .gitignore      | 2 +-
 kubernetes.spec | 9 ++++++---
 sources         | 2 +-
 3 files changed, 8 insertions(+), 5 deletions(-)

diff --git a/.gitignore b/.gitignore
index c59e273..dd00c25 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1,2 @@
 /contrib-0f5b210.tar.gz
-/kubernetes-922a86c.tar.gz
+/kubernetes-2c2fe6e.tar.gz
diff --git a/kubernetes.spec b/kubernetes.spec
index 3b18d49..b6310f1 100644
--- a/kubernetes.spec
+++ b/kubernetes.spec
@@ -23,7 +23,7 @@
 
 %global provider_prefix         %{provider}.%{provider_tld}/%{project}/%{repo}
 %global import_path             k8s.io/kubernetes
-%global commit                  922a86cfcd65915a9b2f69f3f193b8907d741d9c
+%global commit                  2c2fe6e8278a5db2d15a013987b53968c743f2a1
 %global shortcommit              %(c=%{commit}; echo ${c:0:7})
 
 %global con_provider            github
@@ -35,7 +35,7 @@
 %global con_commit              0f5b210313371ff769da24d8264f5a7869c5a3f3
 %global con_shortcommit         %(c=%{con_commit}; echo ${c:0:7})
 
-%global kube_version            1.7.2
+%global kube_version            1.7.3
 %global kube_git_version        v%{kube_version}
 
 # Needed otherwise "version_ldflags=$(kube::version_ldflags)" doesn't work
@@ -45,7 +45,7 @@
 ##############################################
 Name:           kubernetes
 Version:        %{kube_version}
-Release:        4%{?dist}
+Release:        1%{?dist}
 Summary:        Container cluster management
 License:        ASL 2.0
 URL:            https://%{import_path}
@@ -1146,6 +1146,9 @@ fi
 
 ############################################
 %changelog
+* Tue Aug 08 2017 Spyros Trigazis <strigazi@gmail.com> - 1.7.3-1
+- Update to upstream v1.7.3
+
 * Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
 
diff --git a/sources b/sources
index 8763fad..035d482 100644
--- a/sources
+++ b/sources
@@ -1,2 +1,2 @@
 SHA512 (contrib-0f5b210.tar.gz) = 4cf04c2214d52814d59ad9c276be91261785e4b6a911871637db5e068e6fd0a5de9d1eaee7db112159ce5860f0f339e1396106fcd00a97a16c912772d325ba8f
-SHA512 (kubernetes-922a86c.tar.gz) = a170f1d71ad045cbf21ed42d5a373ac59fdf81fbf1acfd93a428a1398324859245f46b6c58529e25cc06adc66282a992c62e8dc50c7f47b86f7cf5ea5515a285
+SHA512 (kubernetes-2c2fe6e.tar.gz) = 9297af471892094bb560e334ee5ff709a3144c8b89a9902f7c0dcfefcfed79566de3458b27d5d540ff7452fe17f77742b98191b2dc02e39b897c397458f1eab6
-- 
2.13.2
Comment 2 Jan Chaloupka 2017-08-09 07:27:49 EDT
Spyros, review requests are done for new packages, not updates to newer versions.
Comment 3 Fedora Update System 2017-08-13 00:04:55 EDT
kubernetes-1.7.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c77d2f6f70
Comment 4 Fedora Update System 2017-10-10 17:21:40 EDT
kubernetes-1.7.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.